// Code generated by goa v3.12.3, DO NOT EDIT.
//
// taskList endpoints
//
// Command:
// $ goa gen gitlab.eclipse.org/eclipse/xfsc/tsa/task/design

package tasklist

import (
	"context"

	goa "goa.design/goa/v3/pkg"
)

// Endpoints wraps the "taskList" service endpoints.
type Endpoints struct {
	Create         goa.Endpoint
	TaskListStatus goa.Endpoint
}

// NewEndpoints wraps the methods of the "taskList" service with endpoints.
func NewEndpoints(s Service) *Endpoints {
	return &Endpoints{
		Create:         NewCreateEndpoint(s),
		TaskListStatus: NewTaskListStatusEndpoint(s),
	}
}

// Use applies the given middleware to all the "taskList" service endpoints.
func (e *Endpoints) Use(m func(goa.Endpoint) goa.Endpoint) {
	e.Create = m(e.Create)
	e.TaskListStatus = m(e.TaskListStatus)
}

// NewCreateEndpoint returns an endpoint function that calls the method
// "Create" of service "taskList".
func NewCreateEndpoint(s Service) goa.Endpoint {
	return func(ctx context.Context, req any) (any, error) {
		p := req.(*CreateTaskListRequest)
		return s.Create(ctx, p)
	}
}

// NewTaskListStatusEndpoint returns an endpoint function that calls the method
// "TaskListStatus" of service "taskList".
func NewTaskListStatusEndpoint(s Service) goa.Endpoint {
	return func(ctx context.Context, req any) (any, error) {
		p := req.(*TaskListStatusRequest)
		return s.TaskListStatus(ctx, p)
	}
}
